package com.hw.dms.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 设备台账信息对象 dms_base_device_ledger
 *
 * @author xins
 * @date 2023-12-28
 */
public class DmsBaseDeviceLedger extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long deviceId;

    /** 设备编号 */
    @Excel(name = "设备编号")
    private String deviceCode;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String deviceName;

    /** 所属工位,关联pd_base_station_info的station_id */
    @Excel(name = "所属工位,关联pd_base_station_info的station_id")
    private String stationId;

    /** 资产编号 */
    @Excel(name = "资产编号")
    private String assetNumber;

    /** 设备位置 */
    @Excel(name = "设备位置")
    private String deviceLocation;

    /** 设备类型,关联dm_base_device_type的device_type_id */
    @Excel(name = "设备类型,关联dm_base_device_type的device_type_id")
    private String deviceTypeId;

    /** 设备规格 */
    @Excel(name = "设备规格")
    private String deviceSpec;

    /** 供应商,关联dm_base_device_supplier的supplier_id */
    @Excel(name = "供应商,关联dm_base_device_supplier的supplier_id")
    private String supplierId;

    /** 设备状态 */
    @Excel(name = "设备状态")
    private Long deviceStatus;

    /** 是否标识：1-是；2-否 */
    @Excel(name = "是否标识：1-是；2-否")
    private Long isFlag;

    private String suplierName;

    public String getSuplierName() {
        return suplierName;
    }

    public void setSuplierName(String suplierName) {
        this.suplierName = suplierName;
    }

    public void setDeviceId(Long deviceId)
    {
        this.deviceId = deviceId;
    }

    public Long getDeviceId()
    {
        return deviceId;
    }
    public void setDeviceCode(String deviceCode)
    {
        this.deviceCode = deviceCode;
    }

    public String getDeviceCode()
    {
        return deviceCode;
    }
    public void setDeviceName(String deviceName)
    {
        this.deviceName = deviceName;
    }

    public String getDeviceName()
    {
        return deviceName;
    }
    public void setStationId(String stationId)
    {
        this.stationId = stationId;
    }

    public String getStationId()
    {
        return stationId;
    }
    public void setAssetNumber(String assetNumber)
    {
        this.assetNumber = assetNumber;
    }

    public String getAssetNumber()
    {
        return assetNumber;
    }
    public void setDeviceLocation(String deviceLocation)
    {
        this.deviceLocation = deviceLocation;
    }

    public String getDeviceLocation()
    {
        return deviceLocation;
    }
    public void setDeviceTypeId(String deviceTypeId)
    {
        this.deviceTypeId = deviceTypeId;
    }

    public String getDeviceTypeId()
    {
        return deviceTypeId;
    }
    public void setDeviceSpec(String deviceSpec)
    {
        this.deviceSpec = deviceSpec;
    }

    public String getDeviceSpec()
    {
        return deviceSpec;
    }
    public void setSupplierId(String supplierId)
    {
        this.supplierId = supplierId;
    }

    public String getSupplierId()
    {
        return supplierId;
    }
    public void setDeviceStatus(Long deviceStatus)
    {
        this.deviceStatus = deviceStatus;
    }

    public Long getDeviceStatus()
    {
        return deviceStatus;
    }
    public void setIsFlag(Long isFlag)
    {
        this.isFlag = isFlag;
    }

    public Long getIsFlag()
    {
        return isFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("deviceId", getDeviceId())
            .append("deviceCode", getDeviceCode())
            .append("deviceName", getDeviceName())
            .append("stationId", getStationId())
            .append("assetNumber", getAssetNumber())
            .append("deviceLocation", getDeviceLocation())
            .append("deviceTypeId", getDeviceTypeId())
            .append("deviceSpec", getDeviceSpec())
            .append("supplierId", getSupplierId())
            .append("deviceStatus", getDeviceStatus())
            .append("isFlag", getIsFlag())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
